<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/report/models/report';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'id',
            breadcrumbs: [
                {
                    label: this.__('Отчёты'),
                    path: 'report/report',
                },
            ],
            model: model,
            http: {
                path: 'report/report/:id',
                query: {
                    'with[0]': 'creator',
                    'with[1]': 'shop',
                    'with[2]': 'task_report',
                    'with[3]': 'products.product',
                    'with[4]': 'products.variation.options',
                    'with[5]': 'products.supplier',
                    'with[6]': 'brands.brand',
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
